Page MenuHomePhabricator

[clang] Add support for Ananas platform
ClosedPublic

Authored by zhmu on May 6 2017, 6:02 AM.

Details

Summary

Ananas is a home-brew operating system, mainly for amd64 machines. After using GCC for quite some time, it has switched to clang and never looked back - yet, having to manually patch things is annoying, so it'd be much nicer if this was in the official tree.

More information:

Ed Schouten convinced me to submit the platform patches, so he can commit them - here they are.

Diff Detail

Event Timeline

zhmu created this revision.May 6 2017, 6:02 AM
zhmu updated this revision to Diff 98057.May 6 2017, 6:04 AM
zhmu retitled this revision from Add support for Ananas platform to [llvm] Add support for Ananas platform.
zhmu retitled this revision from [llvm] Add support for Ananas platform to Add support for Ananas platform.

Add Clang parts

zhmu updated this revision to Diff 98058.May 6 2017, 6:07 AM
zhmu retitled this revision from Add support for Ananas platform to [clang] Add support for Ananas platform.

Add test case

zhmu added reviewers: ed, dlj.May 6 2017, 6:08 AM
ed accepted this revision.May 20 2017, 5:53 AM

These changes look all right to me, except that I'd like it if someone else could take a look at Ananas.cpp as well. Is anyone interested in taking a look?

This revision is now accepted and ready to land.May 20 2017, 5:53 AM
ed added a comment.Jun 19 2017, 12:04 PM

Final call: do any of you have any more feedback on this change? If not, I will go ahead and commit this change one of these days (together with D32937).

Thanks,
Ed

ed closed this revision.Jun 25 2017, 1:29 AM